Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Stefan Monnier <[email-masked]>
Date: Wed, 19 Jun 2024 15:56:40 -0400

>>> In other words, when you have:
>>>
>>>     /foo/bar/.dir-locals.el
>>>     /foo/bar/.editorconfig
>>
>> `.dir-locals.el` should take precedence in that case.
>
> How does this read?
>
>     When both @file{.editorconfig} and @code{.dir-locals.el} files are found
>     and they both set the same settings, the nearest file takes precedence.
>     If they are equally close, @file{.dir-locals.el} takes precedence.

Doesn't this risk suggesting that the settings from only one of the two
files will be used?

Here's my current text:

    When both @file{.editorconfig} and @file{.dir-locals.el} files are
    found, their settings are combined, and in case of a conflict, the
    setting coming from the closest file takes precedence.
    If they are equally close, @file{.dir-locals.el} takes precedence.

- Stefan